## NAME

r.out.png - Export GRASS raster as non-georeferenced PNG image.

## KEYWORDS

raster, export, png

## SYNOPSIS

r.out.png
r.out.png help
r.out.png [-qtw] input=name [output=name] [compression=integer] [--verbose] [--quiet]

### Flags:

-q
  Run quietly
-t
  Make NULL cells transparent
-w
  Output world file
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input raster map
output=name
  Name for new PNG file (use out=- for stdout)
  Default: .png
compression=integer
  Compression level of PNG file
  (0 = none, 1 = fastest, 9 = best)
  Options: 0-9
  Default: 6

## DESCRIPTION

r.out.png exports a GRASS raster map in non-georeferenced PNG image format, respecting the current region resolution and bounds.

Optionally the user can choose to export a World File to provide basic georeferencing support. When used with the transparency flag this can create images useful for KML, TMS, or WMS overlays. (e.g. for use in Google Earth or as OpenLayers tiles) If output is to stdout, the world file will be called `png_map.wld`.

## SEE ALSO

r.out.gdal, r.out.ppm, r.out.tiff, r.out.ascii

## AUTHORS

Alex Shevlakov
Hamish Bowman

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team